<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Css Tricks | Pure css parallex effect</title>
    <!-- we will use internal css  -->
    <style>
        *{
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        .text-container{
            height: 40vh;
            background-color: #ebebeb;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .text-container{
            color: #333;
            font-size: 2rem;
        }
        .image-container{
            height: 100vh;
            width: 100%;
            /* position: sticky;
            top: 0; */
        }
        .image-container:nth-child(2){
            background: url(images/image1.jpg);
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        .image-container:nth-child(3){
            background: url(images/image2.jpg);
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        
        .image-container:nth-child(4){
            background: url(images/image3.jpg);
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        .image-container:nth-child(5){
            background: url(images/image4.jpg);
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        
        .image-container:nth-child(6){
            background: url(images/image5.jpg);
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        
        .image-container:nth-child(7){
            background: url(images/image6.jpg);
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
        }

        
    </style>
</head>
<body>
    <div class="text-container">
        <h1>Hello This is css parallex effect</h1>
    </div>
    <section class="image-container"></section>
    <div class="text-container">
        <h1>Hello This is css parallex effect</h1>
    </div>
    <section class="image-container"></section>
    <div class="text-container">
        <h1>Hello This is css parallex effect</h1>
    </div>
    <section class="image-container"></section>
    <div class="text-container">
        <h1>Hello This is css parallex effect</h1>
    </div>
    <section class="image-container"></section>
    
</body>
</html>